<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Curd Page</title>

    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <script src="/HTMLS/JS/CurdPage.js" defer></script>
    <link rel="stylesheet" href="/HTMLS/CSS/CurdPage.css">

</head>

<body>

    <div class="navbar">
        <div class="logoContainer">
            <img class="logo" src="" alt="logo" srcset="">

        </div>
        <ul>
            <li><a href="http://" target="_blank" rel="noopener noreferrer">Home</a> </li>
            <li><a href="http://" target="_blank" rel="noopener noreferrer">About</a> </li>
            <li><a href="http://" target="_blank" rel="noopener noreferrer">Contact Us</a> </li>
            <li><a href="http://" target="_blank" rel="noopener noreferrer">Login</a> </li>
        </ul>
    </div>

    <div class="curdTableContainer">
        <table class="curdTable" id="employeeTable">
            <thead class="curdHeader">
                <td class="curdHeaderName" colspan="4">
                    Employee curd table
                </td>
                <td class="curdAddNew" colspan="3">
                    <button id="addEmployeeButton"><i class="material-icons center">add</i>Add Employee</button>
                </td>
            </thead>
            <tr class="curdTableRow bgblack">
                <td>S.No</td>
                <td>Full Name</td>
                <td>Username</td>
                <td>Password</td>
                <td>Email</td>
                <td>Mobile</td>
                <td>Action</td>
            </tr>
            <tr class="curdTableRow">
                <td>1</td>
                <td>Lokesh</td>
                <td>lokesh@54</td>
                <td>lokesh123</td>
                <td>lokesh@gmail.com</td>
                <td>1111111111111</td>
                <td>
                    <button class="buttonIcon" onclick="onEdit(this);">
                        <i class="material-icons">mode_edit</i>
                    </button>
                    <button class="buttonIcon" onclick="onDelete(this);">
                        <i class="material-icons">delete_sweep</i>
                    </button>
                </td>
            <tr class="curdTableRow">
                <td>2</td>
                <td>Rama</td>
                <td>Rama@14</td>
                <td>rama123</td>
                <td>rama@gmail.com</td>
                <td>2222222222</td>
                <td>
                    <button class="buttonIcon" onclick="onEdit(this);">
                        <i class="material-icons">mode_edit</i>
                    </button>
                    <button class="buttonIcon" onclick="onDelete(this);">
                        <i class="material-icons">delete_sweep</i>
                    </button>
                </td>
            </tr>

        </table>

        <div id="modal" class="Modal">
            <form class="insertForm" onsubmit="event.preventDefault(); onSubmit();">
                <span id="close" class="close">&times;</span>
                <h3>Add New Employee</h3>
                <input id="fullname" class="inputFields" type="text" class="formFields" placeholder="Full Name">
                <input id="username" class="inputFields" type="text" class="formFields" placeholder="username">
                <input id="password" class="inputFields" type="text" class="formFields" placeholder="password">
                <input id="email" class="inputFields" type="text" class="formFields" placeholder="Email">
                <input id="mobile" class="inputFields" type="text" class="formFields" placeholder="mobile">
                <input id="submit" class="inputFields button" type="submit" value="Add">
            </form>
        </div>

    </div>


    <div id="deleteConfirmModal" class="Modal">
        <div class="deleteModal">
            <h1 class="deleteModalMainText">Delete Employee</h1>
            <p class="deleteModalMainText">Are you sure you want to delete your employee?</p>
            <div>
                <button class="cancelbtn" onclick="onCancel();">Cancel</button>
                <button class="deletebtn" onclick="deleteRecord();">Delete</button>
            </div>
        </div>
    </div>
</body>

</html>